@import 'https://fonts.googleapis.com/css?family=Cormorant';
@import url("menu.css");
@import url("forms.css");
@import 'calendar.css';


/* CORE STYLES */
:root {
    --white: #fff;
    --brown: #77735E;
    --lightbrown: #BFB997; 
    --transbrown: rgb(119, 115, 94, 0.6);
    --shadow: rgba(0,0,0,0.2); 
    --grey: #333;
    --lightgrey: #f9f9f9;
    --midbrown: #b2aa82;
    --midtransbrown: rgb(178, 170, 130, 0.85); 
    --midgrey: #f0f0f0;
    --black: #000; 
    --alternate: #bcd97d; 
    --alternate3: #bed886; 
    --alternate2: #c0e7cf;
    --othercolour: #c14b4b;
    --othercolour2: #ed4e4e;
    --pale: #f0f0f0;
    --green: #9BC500; 
    --bone: #f7f4e8; 
    --offwhite: #e5e2d5; 
  }

/* html,
body{
    max-width: 1600px;
    margin: auto; 
} */

body{
    background-color: var(--white); 
    margin: 0;
    font-family: Cormorant, Open Sans, Arial, Helvetica, sans-serif;
    position: relative;
}
a{
    text-decoration: none;
}
img{
    max-width: 100%;
    border: 0; 
}
header{
    background-color: var(--lightbrown); 
    color: var(--white);
    display: grid;
    gap: 1rem;
    justify-content: center;
    padding: 0.5rem;
}
header a{
    color: #fff;
    text-decoration: none;
}
header h1{
    text-transform: uppercase;
    font-weight: 400;
    font-family: transat, sans-serif;
    font-style: normal;
}
header img{
    margin: auto;  
}
header > *{
    text-align: center;
}
footer{
    background-color: var(--lightbrown);
    display: grid;
    color: var(--white); 
    line-height: 1.7; 
}
footer a{
    color: var(--white); 
}
header a:hover,
footer a:hover{
    color: var(--grey);
}
footer div{
    padding: 1rem;
}
footer img{
    width: 23px; 
}
section > main{
    max-width: 1000px;
    padding: 2vw 3vw;
    margin: auto; 
    color: var(--grey);
    line-height: 1.7;
}
main > h1{
    /* font-family: Bellefair; */
    font-size: 3rem; 
    line-height: 1;
    font-weight: 400;
}
main h2{
    font-size: 2.5rem; 
    line-height: 1;
    font-weight: 400;
}
main h3{
    font-size: 2rem; 
    line-height: 1;
    font-weight: 400;
}
main.home h2 big{
    display: block;
}
main.home h2{
    background-color: var(--alternate);
    color: var(--black); 
    padding: 3rem 1rem; 
    line-height: 1.7;
    text-align: center;
    border-radius: 4px;
    box-shadow: 3px 3px 10px var(--shadow);
}
main.home h2 big:first-of-type{
    font-size: 2.5rem;
}
main.home h2 a{
    color: var(--black); 
}
main p,
main li,
footer,
main:not(.home) > blockquote {
    font-size: 1.2rem;
}
main a{
    color: var(--grey); 
}
main p a{
    border-bottom: 1px dashed var(--grey); 
}
/* main h3{
    font-size: 1.4rem;
    font-weight: 400;
}
main p strong{
    font-weight: 400;
    font-size: 1.3rem;
} */
main.home > h1+blockquote{
    margin-block-start: -1rem;
    font-size: 1.5rem; 
    font-family: Bellefair;
    line-height: 1.2;
    border-left: 0; 
    padding: initial; 
}
main:not(.home) > blockquote + p{
    text-align: right;
    margin-top: 0; 
    padding-right: 6vw; 
    font-style: italic;
}
main:not(.home) > blockquote{
    background-color: var(--lightgrey);

}
blockquote p {
    margin-block: 0.1rem; 
}
.videoframe.video{
    position: relative;
    height: 41vw;
}
.vimeo-wrapper, .vimeo-wrapper2 {
    width: 100%;
    background-size: cover; 
    overflow: hidden;
    position: relative; 
    background-image: url('images/needles.jpg'); 
    background-position: center center; 
    background-color: var(--brown);
  }
.vimeo-wrapper:after {
    padding-top: 40.9%;
    display: block;
    content: ""; 
}
.vimeo-wrapper iframe, .vimeo-wrapper2 iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0; 
}
.grid{
    display: grid;
    gap: 1rem;
    margin-block: 1rem;
}
.floorplan{
    max-width: 1000px;
    padding:  5vw;
    margin: auto; 
    color: var(--grey);
    line-height: 1.7;
}
.page{
    height: 600px;
    max-height: 80vh; 
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
.cards > div{
    display: grid;
    background-color: var(--brown);
    color: var(--white); 
    }
.cards img{
    display: block;
}
.grow div{
    overflow: hidden;
}
.cards h2{
    text-align: center;
    font-weight: normal;
    margin: 1rem 0.5rem; 
}
.cards h3{
    font-weight: normal;
    font-size: 1.2rem;
}
.cards > div > div:nth-child(3){
    padding: 1rem;
    position: relative;
}
.cards a{
    color: var(--white); 
}
.readmore{
    padding: 1rem;
    text-align: right; 
}
.booking iframe{
    width: 100%; 
}
#map {
	height: 600px;
	max-height: 80vh;
}
.iw{
    background-color: var(--lightbrown);
    padding: 0.5rem 1rem;
    text-align: right;
}
.iw a{
    color: var(--lightgrey);
    font-size: 0.75rem;
}
main:not(.home) tr:nth-child(odd), 
.tariff tr:nth-child(odd){
    background-color: #f0f0f0 !important;
}
main.home tr{
    background-color: transparent !important;
}
main.home div td{
    border-bottom: 0;
}
.bookings{
    position: relative;
    z-index: 10;
    scroll-margin-top: 150px; 
    background-color: var(--white);
}
.bookings{
    border-block: 0.5rem solid var(--white); 
}
.bookings form{
    display: grid;
    justify-content: center;
    background-color: var(--lightcolour);
    gap: 1px; 
    grid-template-columns: 1fr;
}
/* .bookings form > div{
    padding: 0.5rem; 
    background-color: var(--alternate);
} */
.bookings input, .bookings select, .bookings input[type="submit"] {
    background-color: var(--lightbrown);
    color: var(--black);
    text-decoration: none;
    /* padding: 1rem 1.4rem;  */
    transition: 0.4s;
    font-size: 1rem;
	max-width: 200px; 
	text-align: center;
	letter-spacing: 1px ; 
	border: 0;
    appearance: none;
    margin-top: 5px;
    transition : 0.2s;
	/* text-transform: uppercase;  */
    width: 100%; 
}
.bookings select option{
    text-align: center;
}
.bookings input[type=date]{
    max-width: 140px !important;
    width: 100%; 
	text-align: center !important;
    /* padding: 1rem 1.4rem;  */
	border: 0;
}
.bookings input:focus, 
.bookings select:focus, 
.bookings input[type="submit"]:focus,
.bookings input:hover, 
.bookings select:hover, 
.bookings input[type="submit"]:hover {
    box-shadow: 0 0 0 var(--lightbrown);
}
.bookings div {
    vertical-align: baseline;
    display: contents;
}
.bookings label {
	display: grid;
	padding: 0.25rem;
	background-color: var(--lightbrown);
	transition: 0.2s;
	align-items: flex-start;
	justify-content: center;
	align-content: first baseline;
    text-align: center;
}
.bookings label:hover, 
.bookings label:hover input,
.bookings label:hover select{
    background-color: var(--alternate);
}
main .cottages{
  max-width: 1200px;
  margin: 5vw auto;
}
.cottages{
  /* color: var(--white); */
  line-height: 1.4;
display: flex;
flex-flow: wrap; 
}
.cottages > div {
background-color: var(--bone); 
display: inline-block;
width: 30%; 
}
.cottages > div:nth-child(6n+1), 
.cottages > div:nth-child(6n+2), 
.cottages > div:nth-child(6n+3)
{
    background-color: var(--offwhite);
}
@supports(display:grid) {
.cottages{
gap: 10px;
display: grid;

}
.cottages > div {
display: block; 
width: auto;
}
}
.maintext + .cottages{
margin-top: 1vw;
}
.cottages .desc h2,
.cottages .desc p{
    margin-block: 0.25rem;
}
.cottages > .desc, 
.cottages > .bookme {
padding: 20px;
}
.cottages > .facilities,
.facilities {
display: grid;
/* flex-flow: wrap; */
justify-content: center; 
align-items: center; 
max-width: 800px; 
margin: auto; 
grid-template-columns: 1fr 1fr;
}
.cottages .facilities {
margin: 0; 
}
.facilities img{
width: 50px; 	

}
.facilities > div {
text-align: center; 
flex: 1 1 auto;
padding: 10px; 
}
.cottages a{
color: var(--white);
text-decoration: none; 
}
.cottages a:hover{
background-color: var(--black); 
}
.cottages h3{
  font-weight: 400; 
}
.cottages h4{
  font-weight: 400; 
}
.cottages > div > img,
.cottages > div > a > img{
  width: 100%; 
  display: block; 
  /* aspect-ratio: 3 / 2; */
  object-fit: cover;
  height: 100%; 
}
.cottages .toosmall{
display: none; 
}

.cottages.bookingtable .fade{
  opacity: 0.5;
}
#dialog-content {
	width:800px;
	display: none; 
	height: 500px;
	color:#333;
	margin: 50px; 
}
form .paypal{
  border: 0;
  background: transparent; 
  width: 200px;
}
input.yesday{
    background-color: var(--alternate);
}
    .hasdata, 
    .cottages{
        font-size: 1.2rem;
    }










@media only screen and ( min-width: 800px ) {
    header{
        z-index: 2; 
        position: relative;
    }
    .picturegrid{
        grid-template-columns: 1fr 1fr 1fr;
    }
    .picturegrid > div{
        max-height: 400px; 
    }
    .cards{
        grid-template-columns: 1fr 1fr;
    }
    .picturegrid img, 
    .cards img{
        height: 100%; 
        width: 100%; 
        object-fit: cover;
    }
    .cards > div{
        grid-template-rows: auto 40vw 300px;
        }
    .cards > div > div:nth-child(3)::after{
        content: ""; 
        inset: 0; 
        background: linear-gradient(0deg,
        rgba(119,115,94,1) 20%, 
        rgba(119,115,94,0) 40%,
        rgba(119,115,94,0) 100%, 
        rgba(119,115,94,0) 100%);
        position: absolute;
        z-index: 1;
        pointer-events: none;
    }
    .cards h2{
        font-family: Bellefair;
        font-size: 1.4rem;
    }
    footer{
        grid-template-columns: 1fr 1fr 1fr;
        background-image: url(images/heron-2.png);
        background-repeat: no-repeat;
        background-size: contain;
        background-position: bottom right;
    }
    footer > div{
        padding: 3vw;
    }
    footer> div:nth-child(3){
        align-self: end;
        justify-self: right;
    }

    .grow img{
		transition:  3s ease;
		width: 100%;
		box-shadow: 3px 3px 30px transparent;
		}
	.grow img:hover{
		transform: scale(120%);
		box-shadow: 3px 3px 30px rgba(50,50,50, 0.7);
	}
    .readmore{
        position: absolute;
        right: 0;
        bottom: 0;
        z-index: 10;
    }
    /* .grid img,
    .grid > div{
        border-radius: 5px;
    } */
    blockquote{
        border-left: 5px solid var(--lightbrown); 
        padding: 0.5rem 1rem; 
        margin-block-end: 0.25rem;
    }
    .grid.picturegrid.gallery{
        grid-template-columns: repeat(auto-fit,minmax(min(225px,100%),1fr));
    }
    .grid.picturegrid.gallery > div{
        aspect-ratio: 1/1;
    }
        .bookings form{
        grid-template-columns: 1fr 1fr;
        display: grid;
        justify-content: center;
        background-color: var(--lightcolour);
        gap: 1px; 
        grid-template-columns: 1fr;
        border-block: 1px solid var(--lightcolour);
    }
      .cottages.bookingtable > div > a > img{
    height: 100%; 
  }
  .icons > div{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-auto-rows: auto auto;
    gap: 0.5rem; 
  }
  .icons > div > div{
    grid-template-rows: subgrid;
    grid-row: span 2; 
  }
  .frontimages{
    grid-template-columns: 1fr 1fr;
  }
  .bookings form{
    grid-template-columns: 1fr 1fr;
    gap: 0.5rem;
    }
    .cottages {
    grid-template-columns: 1fr 1fr 1fr;
    max-width: 1000px;
    padding: 2vw 3vw;
    margin: auto;
    }


}


@media only screen and ( min-width: 1200px ) {

    .cards{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .cards > div{
        grid-template-rows: auto 20vw 300px;
        }
     .grid.picturegrid.gallery{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    } 
    .bookings input, .bookings select, .bookings input[type="submit"] {
        width: 200px; 
    }
    .bookings input[type=date]{
        width: 160px; 
    }
    .bookings form{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    } 
}


/* 
@media only screen and ( min-width: 1400px ) and ( min-height: 700px ) {
    .container{
        display: grid;
        grid-template-columns: minmax(270px, 25vw) auto;
        height: 100vh;
    }
    .sidebar{
        position: relative; 
        background-color: var(--lightbrown);
    }
    .sidebar > div{
        position: sticky;
        top: 0; 

    }
    #player *,
    #player,
    iframe,
    .vimeo-wrapper *,
    .vimeo-wrapper,
    .vimeo-wrapper::after{
        z-index: -1;
        position: relative;
      }
      footer, 
      .iw{
        background-color: var(--midgrey);
        color: var(--grey); 
    }
    footer a, 
    .iw a{
        color: var(--grey);    
    }
    header img{
        margin-block: 1rem;
    }
    .cards > div {
        grid-template-rows: auto 15vw 300px;
    }
    .mainsection .page{
        background-attachment:scroll;
    }
} */



@media only screen and ( min-width: 1250px ) and ( min-height: 600px ) {
    body{
        margin: 1rem;
        position: relative;
    }
    .sidebar{
        position: fixed;
        z-index: 10;
        left: 1rem;
        right: 1rem;
        top: 0; 
        background: linear-gradient(
            180deg, rgba(119,115,94,0.3) 
            40%, rgba(119,115,94,0.1) 
            60%, rgba(119,115,94,0) 
            100%, rgba(119,115,94,0) 
            100%);
        transition: 0.3s;
        border-top: 1rem solid var(--white);
    }
    header{
        background-color: transparent;
    }
    .sidebar > div{
        display: grid;
        grid-template-columns: minmax(200px, 25vw) auto;

    }
    .sidebar.white{
        background: none;
        background-color: var(--midtransbrown);
        backdrop-filter: blur(4px);
      }
    .sidebar.white header img{
        max-width: 140px; 
    }
    body:has(#slideright) .sidebar.white{
        opacity: 0;
        pointer-events: none;
    }
    .mainsection.admin main{
        max-width: 1920px;
    }
    
      header img{
        max-width: 280px;
        transition: 0.3s;
      }
        section.gallery::before
    {
        content: "";
        position: fixed;
        top: 1rem;
        left: 1rem;
        right: 1rem;
        height: 150px;
        background-color: var(--midbrown);
      }
        section.gallery{
        margin-top: 150px;

      }

        section.bookingssection#book{
        /* margin-top: 150px; */
        scroll-margin-top: 150px; 
      }
        body:has(.white) section.gallery::before, 
        body:has(.white) section.bookingssection::before{
        background-color: transparent;
      }
      .grid.picturegrid.gallery{
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}



  @media only screen and ( max-width: 800px ) {
    .videoframe.video,
    .vimeo-wrapper{
        height: 66.6vw; 
    }
    .vimeo-wrapper iframe{
        display: none; 
    }
    .vimeo-wrapper {
        background-image: url('images/veranda.jpg'); 
    }
    /* .videoframe{
        height:auto; 
    } */
    .veranda img{
        visibility: hidden;
    }
    .veranda{
        background-image: url('images/interior.jpg'); 
        background-position: center center;
        background-size: cover;
        background-repeat: no-repeat;
    }
    header > div:first-of-type{
        grid-row: 2 / 3;
    }
    header > div:nth-of-type(2){
        grid-row: 1 / 2;
    }
    .gallery img{
        display: block;
        margin: auto; 
    }
    .page{
        max-height: 40vh;
    }
    	.hasdata{
		display: grid;
		gap: 1rem;
	}
	.hasdata tr{
		width: auto;
		display: block; 
	}
	.hasdata th{
		display: none;
	}
	.hasdata td[colspan="100%"]{
		display: block;
		background-color: rgba(0, 0, 0, 0.5) !important;
	}
	.hasdata td{
		display: grid;
		grid-template-columns: 1fr 1fr;
		gap: 1rem;
	}
	.hasdata td::before{
		content: attr(data-cell); 
		display: block;
	
	}
	.hasdata td:first-of-type{
		padding-top: 1rem !important;
	}
	.hasdata td:last-of-type{
		padding-bottom: 1rem !important;
	}
	.hasdata .to{
		display: none;
	}
  }


  @media only screen and (min-width: 1400px) and (min-height: 800px){
  .page {
    height: 700px; 
	background-attachment: fixed;
    }
}


@media only screen and ( max-width: 400px ) {
    main tr{
        display: flex;
        flex-wrap: wrap;
    }
    main tr td:first-child{
        flex-basis: 100%;
    }
    main td{
        flex: 1 1 auto; 
        display: block;
    }
}